
import superwaba.ext.xplat.game.*;
import waba.fx.*;
import waba.sys.*;
import waba.ui.*;

public class TextRender extends GameEngine{
    
    TextRenderer levelRenderer=createTextRenderer(MainWindow.defaultFont, new Color(255,255,0), "TEXTO RENDER!:", 1);
    
    public TextRender(){
        gameName= "TextRender";
        gameCreatorID= "davidfv";
        gameVersion=100;
        gameHighscoresSize=7;
        gameRefreshPeriod=20000;
        gameIsDoubleBuffered=false;
        gameDoClearScreen=false;
        gameHasUI=false;
    }

    public void onGameInit(){
      levelRenderer.display(20,20,1,true);
      start();
    } 

    public void onStartGame(){
      refresh();
    }

    public void onPaint(Graphics gfx){
      levelRenderer.display(20,20,2,true);
    }
}
